aboutsummaryrefslogtreecommitdiff
path: root/test_with_podman.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test_with_podman.sh')
-rwxr-xr-xtest_with_podman.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/test_with_podman.sh b/test_with_podman.sh
new file mode 100755
index 0000000..c32612c
--- /dev/null
+++ b/test_with_podman.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+podman_dir="podman"
+now="$(date -u +%s)"
+build_log="$now-build_log"
+for file in $podman_dir/*
+do
+ distro="$(printf "%s" "$file"|cut -d '.' -f 2)"
+ printf "Building %s container..." "$distro"
+ podman build -f $file -t arching-kaos-tools-$distro . >> $build_log 2>&1
+ if [ $? -ne 0 ]
+ then
+ printf "\tFailed!\n"
+ else
+ printf "\tSuccess!\n"
+ fi
+done